package com.sunxung.factoring.entity.project;

import com.sunxung.factoring.entity.BaseEntity;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 * @Description:业务处理人实体
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年9月3日 下午4:30:38
 */
public class BusinessAssignee extends BaseEntity {

    private static final long serialVersionUID = 1L;
    @NotNull(message = "业务信息ID不能为空")
    private Long businessKey;
    @NotBlank(message = "业务类型不能为空")
    private String businessType;

    /**
     * 处理人Id
     */
    private Long assigneeId;

    @NotBlank(message = "业务处理人类型不能为空")
    private String assigneeType;

    /**
     * 候选人Id
     */
    private String candidateId;

    public BusinessAssignee() {
    }

    public BusinessAssignee(Long businessKey, String businessType) {
        this.businessKey = businessKey;
        this.businessType = businessType;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public Long getAssigneeId() {
        return assigneeId;
    }

    public void setAssigneeId(Long assigneeId) {
        this.assigneeId = assigneeId;
    }

    public String getAssigneeType() {
        return assigneeType;
    }

    public void setAssigneeType(String assigneeType) {
        this.assigneeType = assigneeType;
    }

    public String getCandidateId() {
        return candidateId;
    }

    public void setCandidateId(String candidateId) {
        this.candidateId = candidateId;
    }
}
